Returns a list of bills filtered by the specified congress, sorted by date of latest action.

The result set can be further filtered using 'fromDateTime' and 'toDateTime' parameters. It can also be sorted by 'updateDate'.

  • fromDateTime: start timestamp to filter by update date.

  • toDateTime: end timestamp to filter by update date.

  • sort: sort by 'updateDate' in ascending (asc) or descending (desc) order.

GET /bill/:congress

Example Request

/v3/bill/117?fromDateTime=2022-08-04T04:02:00Z&toDateTime=2022-08-04T04:03:00Z&sort=updateDate+desc
::

{
    'bills': [
      {
        'congress': 117,
        'latestAction': {
          'actionDate': '2022-04-06',
          'text': 'Became Public Law No: 117-108.'
        },
        'number': '3076',
        'originChamber': 'House',
        'originChamberCode': 'H',
        'title': 'Postal Service Reform Act of 2021',
        'type': 'HR',
        'updateDate': '2022-08-04T04:02:02Z',
        'url': 'https://api.congress.gov/v3/bill/117/hr/3076?format=json'
      },
      ...
    ]
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

The congress number. For example, the value can be 117.

Query Params
string

The data format. Value can be xml or json.

Responses
200

successful operation

400

Invalid status value

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here!